namespace org.apache.commons.logging
{
	using System;
	
	public abstract class LogFactory
	{
		public abstract System.String[] AttributeNames{get;}
		public static LogFactory Factory
		{
			get
			{
				return null;
			}
			
		}
		// Felder
		public const System.String FACTORY_PROPERTY = "org.apache.commons.logging.LogFactory";
		public const System.String FACTORY_DEFAULT = "org.apache.commons.logging.impl.LogFactoryImpl";
		public const System.String FACTORY_PROPERTIES = "commons-logging.properties";
		protected internal const System.String SERVICE_ID = "META-INF/services/org.apache.commons.logging.LogFactory";
		protected internal static System.Collections.Hashtable factories;
		
		// Konstruktoren
		protected internal LogFactory()
		{
		}
		
		// Methoden
		public abstract System.Object getAttribute(System.String string_Renamed);
		public abstract Log getInstance(System.Type class0);
		public abstract Log getInstance(System.String string_Renamed);
		public abstract void  release();
		public abstract void  removeAttribute(System.String string_Renamed);
		public abstract void  setAttribute(System.String string_Renamed, System.Object object_Renamed);

		public static Log getLog(System.Type clazz)
		{
			return new Log(clazz);
		}
		public static Log getLog(System.String name)
		{
			return new Log(name);
		}
		public static void  releaseAll()
		{
		}
	}
}