namespace de.osci.osci12.dotcommon {

	using System;
	using System.IO;

	/// <summary>
	/// <p>Copyright  2014 Freie Hansestadt Bremen</p>
	/// <p>Erstellt von Governikus GmbH & Co.  KG

	/// <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
	/// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen knnen
	/// unter der URL www.osci.de abgerufen oder bei der
	/// Koordinierungsstelle fr IT-Standards (KoSIT), Schillerstr. 1,
	/// 28195 Bremen schriftlich angefordert werden.</p>
	/// 
	/// <p>Author: unbekannt</p> 
	/// <p>Version: 1.6</p>
	/// </summary>
	public abstract class InputStream:System.IO.Stream {
		public override bool CanRead {
			get {
				return true;
			}
		}

		public override bool CanSeek {
			get {
				return false;
			}
		}

		public override bool CanWrite {
			get {
				return false;
			}
		}

		public override void Flush() {			
		}

		public override long Length {
			get {
				throw new InvalidOperationException("Nicht implementiert");
			}
		}

		public override long Position {
			get {
				throw new InvalidOperationException("Nicht implementiert");
			}
			set {
				throw new InvalidOperationException("Nicht implementiert");
			}
		}

		public override long Seek(long offset, SeekOrigin origin) {
			throw new InvalidOperationException("Nicht implementiert");
		}

		public override void SetLength(long value) {
			throw new InvalidOperationException("Nicht implementiert");			
		}

		public override void Write(byte[] buffer, int offset, int count) {
			throw new InvalidOperationException("Nicht implementiert");			
		}
	}
}
