namespace de.osci.osci12.soapheader {

	using System;
	using org.apache.commons.logging;
	using de.osci.osci12.common;
	using de.osci.osci12.messageparts;
	using de.osci.osci12.signature;
	
	/// <exclude/>
	/// <summary>
	/// <p>Copyright  2014 Freie Hansestadt Bremen</p>
	/// <p>Erstellt von Governikus GmbH & Co.  KG

	/// <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
	/// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen knnen
	/// unter der URL www.osci.de abgerufen oder bei der
	/// Koordinierungsstelle fr IT-Standards (KoSIT), Schillerstr. 1,
	/// 28195 Bremen schriftlich angefordert werden.</p>
	/// 
	/// <p>Author: N. Bngener</p> 
	/// <p>Version: 1.6</p>
	/// </summary>
	public abstract class HeaderEntry:de.osci.osci12.messageparts.MessagePart 
	{

		new private static Log log;
		protected internal byte[] tmpBuffer;

		protected HeaderEntry() {
			id =  GetType().FullName.Substring(GetType().FullName.LastIndexOf((System.Char) '.') + 1, (GetType().FullName.Length - 1) - (GetType().FullName.LastIndexOf((System.Char) '.') + 1)).ToLower();
			 transformers.Add(can);
		}
		/// <summary> Diese Methode wird einstweilen noch nicht genutzt,
		/// sie ist fr den Fall gedacht, da eines Tages die Content-Length
		/// am Anfang der Nachricht eingetragen werden soll.
		/// </summary>
		/// <value> Lnge
		/// </value>
		virtual public long Length {
			get {
				if (tmpBuffer == null) {
					System.IO.MemoryStream out_Renamed = new System.IO.MemoryStream();
					writeXML(out_Renamed);
					tmpBuffer = out_Renamed.ToArray();
				}
				
				return tmpBuffer.Length;
			}
		}

		static HeaderEntry() {
			log = LogFactory.getLog(typeof(HeaderEntry));
		}
	}
}