using System;

namespace org.xml.sax
{
	/// <exclude/>
	/// <summary>
	/// Zusammenfassung fr ContentHandler.
	/// </summary>
	public interface ContentHandler
	{
		void startDocument();
		void endDocument();
		void startPrefixMapping (String prefix, String uri);
		void endPrefixMapping (String prefix);
		void startElement (String namespaceURI, String localName,String qName, Attributes atts);
		void endElement (String namespaceURI, String localName,String qName);
		void processingInstruction (String target, String data);
		void skippedEntity (String name);
	}
}
