using System;

namespace org.xml.sax.helpers
{
	/// <exclude/>
	/// <summary>
	/// Zusammenfassung fr DefaultHandler.
	/// </summary>
	public class DefaultHandler : ContentHandler, ErrorHandler
	{
		private String currentElement;
		public DefaultHandler()
		{
		}
		public virtual void startPrefixMapping(String prefix, String uri)
		{
		}
		public virtual void  startDocument(){}
		public virtual void  endElement(String uri, String localName, String qName){}
		public virtual void  characters(char[] ch, int start, int length) {}
		public virtual void  startElement(System.String uri, System.String localName, System.String qName,
			Attributes attributes){}
		public virtual void  endDocument(){}
		
		public virtual void warning (SAXParseException exception){}       
		public virtual void error (SAXParseException exception){}
		public virtual void fatalError (SAXParseException exception){}
    
		public void endPrefixMapping (String prefix)
		{
			throw new InvalidOperationException("Nicht implementiert");
		}

		public void processingInstruction (String target, String data)
		{
			throw new InvalidOperationException("Nicht implementiert");
		}

		public void skippedEntity (String name)
		{
			throw new InvalidOperationException("Nicht implementiert");
		}

	}
}
